ALAS-2012-119: java-1.6.0-openjdk Security Update - Multiple Vulnerabilities

September 10, 2012


Amazon Linux AMI Security Advisory: ALAS-2012-119
Advisory Release Date: 2012-09-04 10:22
Severity: Important
References: CVE-2012-0547, CVE-2012-1682, RHSA-2012-1221

Issue Overview:
It was discovered that the Beans component in OpenJDK did not perform permission checks properly. An untrusted Java application or applet could use this flaw to use classes from restricted packages, allowing it to bypass Java sandbox restrictions. (CVE-2012-1682)

A hardening fix was applied to the AWT component in OpenJDK, removing functionality from the restricted SunToolkit class that was used in combination with other flaws to bypass Java sandbox restrictions. (CVE-2012-0547)

Affected Versions:
Any Amazon Linux AMI on which java-1.6.0-openjdk is installed. Note that java-1.6.0-openjdk is installed by default on the Amazon Linux AMI.

Affected Packages:
java-1.6.0-openjdk

Issue Correction:
Run yum update java-1.6.0-openjdk to update your system.

New Packages:

i686:
    java-1.6.0-openjdk-demo-1.6.0.0-52.1.11.4.46.amzn1.i686
    java-1.6.0-openjdk-1.6.0.0-52.1.11.4.46.amzn1.i686
    java-1.6.0-openjdk-javadoc-1.6.0.0-52.1.11.4.46.amzn1.i686
    java-1.6.0-openjdk-src-1.6.0.0-52.1.11.4.46.amzn1.i686
    java-1.6.0-openjdk-debuginfo-1.6.0.0-52.1.11.4.46.amzn1.i686
    java-1.6.0-openjdk-devel-1.6.0.0-52.1.11.4.46.amzn1.i686
x86_64:
    java-1.6.0-openjdk-src-1.6.0.0-52.1.11.4.46.amzn1.x86_64
    java-1.6.0-openjdk-devel-1.6.0.0-52.1.11.4.46.amzn1.x86_64
    java-1.6.0-openjdk-demo-1.6.0.0-52.1.11.4.46.amzn1.x86_64
    java-1.6.0-openjdk-debuginfo-1.6.0.0-52.1.11.4.46.amzn1.x86_64
    java-1.6.0-openjdk-1.6.0.0-52.1.11.4.46.amzn1.x86_64
    java-1.6.0-openjdk-javadoc-1.6.0.0-52.1.11.4.46.amzn1.x86_64